Skip to content

Running Procedures

Tracks the current state of a running procedure

When pre-defined conditions are met, a procedure is started. During the lifetime of this procedure, multiple steps can be taken and actions can be performed. This endpoint provides a way to view the current state of such a running procedure.

Swagger Page

https://swagger-ui.aws-prod.billtrust.com/?urls.primaryName=Collections%20API%201.6.8#/Collection/getRunningProcedures

Permission / Auth

Bearer token with collection scope (read).

Header: Authorization: Bearer <token>

Query Parameters
Name In Required Type Description
companyId query No string Optional parameter to filter on a specific company. Ignored when "cursor" is provided. Fetch the list of available companies from the "/companies" endpoint.
modifiedSince query No string (date-time) Optional parameter to filter the data on modification date. Ignored when "cursor" is provided. All data with "modified at date" greater or equal than the provided date will be returned. The date should be in RFC 3339 format (e.g. "2000-01-21T13:40:30+02:00").
cursor query No string Optional parameter that allows you to retrieve the next batch of a request. When provided, the "companyId" and "modifiedSince" parameters will be ignored. See "Fetching data incrementally in batches" for more info.
Example Request
curl -X GET 'https://{your-collections-platform-host}/api/v1/running-procedures' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <token>'
Example Response
{
  "data": [
    {
      "id": 1,
      "created_at": "2024-01-15T12:00:00+00:00",
      "modified_at": "2024-01-15T12:00:00+00:00",
      "debtor_id": 1,
      "payment_plan_id": 1,
      "procedure_id": 1,
      "archivation_scheduled_at": "2024-01-15T12:00:00+00:00",
      "is_archived": false
    }
  ],
  "next_batch_url": null,
  "next_batch_cursor": null,
  "resume_url": "https://{your-collections-platform-host}/api/v1/example?cursor=opaque-resume-cursor",
  "resume_cursor": "opaque-resume-cursor"
}
Batch envelope
Field Description
data Array of entities in this batch (max 100).
next_batch_cursor / next_batch_url Pass cursor on the next request until empty.
resume_cursor / resume_url Available when the full set is exhausted; use later for incremental sync.
RunningProcedure fields
Field Type Description
id integer (int64) Id of the running procedure
created_at string (date-time) The time this running procedure is created.
modified_at string (date-time) The time this running procedure is modified.
debtor_id integer (int64) The debtor that was linked to the running procedure.
payment_plan_id integer (int64) The payment plan that was linked to the running procedure.
procedure_id integer (int64) The ID of the procedure that is followed by this running procedure instance.
archivation_scheduled_at string (date-time) Running procedures can be scheduled for archivation. During this "cooldown" period, it is possible the are reactivated.
is_archived boolean This value is true when the running procedure is not active anymore.